Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.func
Enum FunDef

    java.lang.Object
      java.lang.Enum<FunDef>
          org.basex.query.func.FunDef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FunDef>

    public enum FunDef

extends java.lang.Enum<FunDef>

Definitions of all XQuery functions.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Enum Constant Summary
`ABS` XQuery function.
`AVG` XQuery function.
`BASEURI` XQuery function.
`BOOL` XQuery function.
`CEIL` XQuery function.
`CODEPNT` XQuery function.
`CODESTR` XQuery function.
`COLLAT` XQuery function.
`COLLECT` XQuery function.
`COMPARE` XQuery function.
`CONCAT` XQuery function.
`CONTAINS` XQuery function.
`CONTAINSLC` XQuery function - allows a case insensitive substring search.
`COUNT` XQuery function.
`CURRDATE` XQuery function.
`CURRDTM` XQuery function.
`CURRTIME` XQuery function.
`DATA` XQuery function.
`DATETIME` XQuery function.
`DATZON` XQuery function.
`DAYDAT` XQuery function.
`DAYDTM` XQuery function.
`DAYDUR` XQuery function.
`DEEPEQ` XQuery function.
`DISTINCT` XQuery function.
`DOC` XQuery function.
`DOCAVAIL` XQuery function.
`DOCURI` XQuery function.
`DTMZON` XQuery function.
`EMPTY` XQuery function.
`ENCURI` XQuery function.
`ENDS` XQuery function.
`ERROR` XQuery function.
`ESCURI` XQuery function.
`EVAL` Project specific function - evaluates the specified query.
`EXISTS` XQuery function.
`EXONE` XQuery function.
`FALSE` XQuery function.
`FILENAME` XQuery function - returns the name of the query file.
`FLOOR` XQuery function.
`HOUDTM` XQuery function.
`HOUDUR` XQuery function.
`HOUTIM` XQuery function.
`ID` XQuery function.
`IDREF` XQuery function.
`IMPLZONE` XQuery function.
`INDEX` XQuery function - accesses an index.
`INDEXOF` XQuery function.
`INSBEF` XQuery function.
`INSCOPE` XQuery function.
`IRIURI` XQuery function.
`LANG` XQuery function.
`LAST` XQuery function.
`LOCNAME` XQuery function.
`LOCNAMEQNAME` XQuery function.
`LOWER` XQuery function.
`MATCH` XQuery function.
`MAX` XQuery function.
`MIN` XQuery function.
`MINDTM` XQuery function.
`MINDUR` XQuery function.
`MINTIM` XQuery function.
`MONDAT` XQuery function.
`MONDTM` XQuery function.
`MONDUR` XQuery function.
`NAME` XQuery function.
`NILLED` XQuery function.
`NODENAME` XQuery function.
`NORM` XQuery function.
`NORMUNI` XQuery function.
`NOT` XQuery function.
`NSURI` XQuery function.
`NSURIPRE` XQuery function.
`NUMBER` XQuery function.
`ONEMORE` XQuery function.
`POS` XQuery function.
`PREQNAME` XQuery function.
`QNAME` XQuery function.
`RANDOM` Project specific function - returns a random number.
`REMOVE` XQuery function.
`REPLACE` XQuery function.
`RESQNAME` XQuery function.
`RESURI` XQuery function.
`REVERSE` XQuery function.
`RND` XQuery function.
`RNDHLF` XQuery function.
`ROOT` XQuery function.
`SECDTM` XQuery function.
`SECDUR` XQuery function.
`SECTIM` XQuery function.
`STARTS` XQuery function.
`STBASEURI` XQuery function.
`STCODE` XQuery function.
`STRING` XQuery function.
`STRJOIN` XQuery function.
`STRLEN` XQuery function.
`SUBAFTER` XQuery function.
`SUBBEFORE` XQuery function.
`SUBSEQ` XQuery function.
`SUBSTR` XQuery function.
`SUM` XQuery function.
`TIMZON` XQuery function.
`TOKEN` XQuery function.
`TRACE` XQuery function.
`TRANS` XQuery function.
`TRUE` XQuery function.
`UNORDER` XQuery function.
`UPPER` XQuery function.
`URIQNAME` XQuery function.
`YEADAT` XQuery function.
`YEADTM` XQuery function.
`YEADUR` XQuery function.
`ZEROONE` XQuery function.
`ZONDAT` XQuery function.
`ZONDTM` XQuery function.
`ZONTIM` XQuery function.

Method Summary
`java.lang.String` | `toString()`
`static FunDef` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FunDef[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POS

    public static final FunDef POS

  XQuery function.

### LAST

    public static final FunDef LAST

  XQuery function.

### STRING

    public static final FunDef STRING

  XQuery function.

### NUMBER

    public static final FunDef NUMBER

  XQuery function.

### STRLEN

    public static final FunDef STRLEN

  XQuery function.

### NORM

    public static final FunDef NORM

  XQuery function.

### URIQNAME

    public static final FunDef URIQNAME

  XQuery function.

### AVG

    public static final FunDef AVG

  XQuery function.

### COUNT

    public static final FunDef COUNT

  XQuery function.

### MAX

    public static final FunDef MAX

  XQuery function.

### MIN

    public static final FunDef MIN

  XQuery function.

### SUM

    public static final FunDef SUM

  XQuery function.

### CURRDATE

    public static final FunDef CURRDATE

  XQuery function.

### CURRDTM

    public static final FunDef CURRDTM

  XQuery function.

### CURRTIME

    public static final FunDef CURRTIME

  XQuery function.

### IMPLZONE

    public static final FunDef IMPLZONE

  XQuery function.

### COLLAT

    public static final FunDef COLLAT

  XQuery function.

### STBASEURI

    public static final FunDef STBASEURI

  XQuery function.

### DAYDAT

    public static final FunDef DAYDAT

  XQuery function.

### DAYDTM

    public static final FunDef DAYDTM

  XQuery function.

### DAYDUR

    public static final FunDef DAYDUR

  XQuery function.

### HOUDTM

    public static final FunDef HOUDTM

  XQuery function.

### HOUDUR

    public static final FunDef HOUDUR

  XQuery function.

### HOUTIM

    public static final FunDef HOUTIM

  XQuery function.

### MINDTM

    public static final FunDef MINDTM

  XQuery function.

### MINDUR

    public static final FunDef MINDUR

  XQuery function.

### MINTIM

    public static final FunDef MINTIM

  XQuery function.

### MONDAT

    public static final FunDef MONDAT

  XQuery function.

### MONDTM

    public static final FunDef MONDTM

  XQuery function.

### MONDUR

    public static final FunDef MONDUR

  XQuery function.

### SECDTM

    public static final FunDef SECDTM

  XQuery function.

### SECDUR

    public static final FunDef SECDUR

  XQuery function.

### SECTIM

    public static final FunDef SECTIM

  XQuery function.

### ZONDAT

    public static final FunDef ZONDAT

  XQuery function.

### ZONDTM

    public static final FunDef ZONDTM

  XQuery function.

### ZONTIM

    public static final FunDef ZONTIM

  XQuery function.

### YEADAT

    public static final FunDef YEADAT

  XQuery function.

### YEADTM

    public static final FunDef YEADTM

  XQuery function.

### YEADUR

    public static final FunDef YEADUR

  XQuery function.

### DATZON

    public static final FunDef DATZON

  XQuery function.

### DTMZON

    public static final FunDef DTMZON

  XQuery function.

### TIMZON

    public static final FunDef TIMZON

  XQuery function.

### DATETIME

    public static final FunDef DATETIME

  XQuery function.

### DATA

    public static final FunDef DATA

  XQuery function.

### COLLECT

    public static final FunDef COLLECT

  XQuery function.

### DOCAVAIL

    public static final FunDef DOCAVAIL

  XQuery function.

### DOC

    public static final FunDef DOC

  XQuery function.

### ID

    public static final FunDef ID

  XQuery function.

### IDREF

    public static final FunDef IDREF

  XQuery function.

### LANG

    public static final FunDef LANG

  XQuery function.

### DOCURI

    public static final FunDef DOCURI

  XQuery function.

### NILLED

    public static final FunDef NILLED

  XQuery function.

### NODENAME

    public static final FunDef NODENAME

  XQuery function.

### LOCNAME

    public static final FunDef LOCNAME

  XQuery function.

### NAME

    public static final FunDef NAME

  XQuery function.

### NSURI

    public static final FunDef NSURI

  XQuery function.

### ROOT

    public static final FunDef ROOT

  XQuery function.

### BASEURI

    public static final FunDef BASEURI

  XQuery function.

### ABS

    public static final FunDef ABS

  XQuery function.

### CEIL

    public static final FunDef CEIL

  XQuery function.

### FLOOR

    public static final FunDef FLOOR

  XQuery function.

### RND

    public static final FunDef RND

  XQuery function.

### RNDHLF

    public static final FunDef RNDHLF

  XQuery function.

### ERROR

    public static final FunDef ERROR

  XQuery function.

### TRACE

    public static final FunDef TRACE

  XQuery function.

### MATCH

    public static final FunDef MATCH

  XQuery function.

### REPLACE

    public static final FunDef REPLACE

  XQuery function.

### TOKEN

    public static final FunDef TOKEN

  XQuery function.

### INSCOPE

    public static final FunDef INSCOPE

  XQuery function.

### LOCNAMEQNAME

    public static final FunDef LOCNAMEQNAME

  XQuery function.

### NSURIPRE

    public static final FunDef NSURIPRE

  XQuery function.

### QNAME

    public static final FunDef QNAME

  XQuery function.

### PREQNAME

    public static final FunDef PREQNAME

  XQuery function.

### RESQNAME

    public static final FunDef RESQNAME

  XQuery function.

### RESURI

    public static final FunDef RESURI

  XQuery function.

### DISTINCT

    public static final FunDef DISTINCT

  XQuery function.

### INDEXOF

    public static final FunDef INDEXOF

  XQuery function.

### INSBEF

    public static final FunDef INSBEF

  XQuery function.

### REMOVE

    public static final FunDef REMOVE

  XQuery function.

### REVERSE

    public static final FunDef REVERSE

  XQuery function.

### SUBSEQ

    public static final FunDef SUBSEQ

  XQuery function.

### DEEPEQ

    public static final FunDef DEEPEQ

  XQuery function.

### FALSE

    public static final FunDef FALSE

  XQuery function.

### TRUE

    public static final FunDef TRUE

  XQuery function.

### BOOL

    public static final FunDef BOOL

  XQuery function.

### NOT

    public static final FunDef NOT

  XQuery function.

### EMPTY

    public static final FunDef EMPTY

  XQuery function.

### EXISTS

    public static final FunDef EXISTS

  XQuery function.

### UNORDER

    public static final FunDef UNORDER

  XQuery function.

### ZEROONE

    public static final FunDef ZEROONE

  XQuery function.

### EXONE

    public static final FunDef EXONE

  XQuery function.

### ONEMORE

    public static final FunDef ONEMORE

  XQuery function.

### CODEPNT

    public static final FunDef CODEPNT

  XQuery function.

### CODESTR

    public static final FunDef CODESTR

  XQuery function.

### COMPARE

    public static final FunDef COMPARE

  XQuery function.

### CONCAT

    public static final FunDef CONCAT

  XQuery function.

### CONTAINS

    public static final FunDef CONTAINS

  XQuery function.

### ENCURI

    public static final FunDef ENCURI

  XQuery function.

### ENDS

    public static final FunDef ENDS

  XQuery function.

### ESCURI

    public static final FunDef ESCURI

  XQuery function.

### IRIURI

    public static final FunDef IRIURI

  XQuery function.

### LOWER

    public static final FunDef LOWER

  XQuery function.

### NORMUNI

    public static final FunDef NORMUNI

  XQuery function.

### STARTS

    public static final FunDef STARTS

  XQuery function.

### STRJOIN

    public static final FunDef STRJOIN

  XQuery function.

### STCODE

    public static final FunDef STCODE

  XQuery function.

### SUBSTR

    public static final FunDef SUBSTR

  XQuery function.

### SUBAFTER

    public static final FunDef SUBAFTER

  XQuery function.

### SUBBEFORE

    public static final FunDef SUBBEFORE

  XQuery function.

### TRANS

    public static final FunDef TRANS

  XQuery function.

### UPPER

    public static final FunDef UPPER

  XQuery function.

### EVAL

    public static final FunDef EVAL

  Project specific function - evaluates the specified query.

### RANDOM

    public static final FunDef RANDOM

  Project specific function - returns a random number.

### CONTAINSLC

    public static final FunDef CONTAINSLC

  XQuery function - allows a case insensitive substring search.

### FILENAME

    public static final FunDef FILENAME

  XQuery function - returns the name of the query file.

### INDEX

    public static final FunDef INDEX

  XQuery function - accesses an index.

Method Detail

### values

    public static FunDef[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FunDef c : FunDef.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FunDef valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<FunDef>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD